CVS-DEBI(1)

BEZEICHNUNG
cvs-debi - installiert mit Cvs-buildpackage/Cvs-debuild erzeugtes Paket

ÜBERSICHT
cvs-debi [Optionen] [Paket …]

BESCHREIBUNG
cvs-debi wird aus dem CVS-Arbeitsverzeichnis nach cvs-buildpackage oder cvs-debuild ausgeführt. Es verwendet das cvs-buildpackage-System, um die in diesen Durchgang erzeugte .changes-Datei ausfindig zu machen. Dann führt es debpkg -i für jedes in der .changes-Datei aufgelistete .deb-Archiv aus. Dies geschieht in der Annahme, dass alle .deb im gleichen Verzeichnis wie die .changes-Datei liegen. Beachten Sie, dass Sie dieses Programm vermutlich nicht für eine .changes-Datei ausführen möchten, die sich auf eine andere Architektur nach dem Cross-Kompilieren des Pakets bezieht.

Falls auf der Befehlszeile eine Liste von Paketen angegeben wurde, dann werden nur diese Debs installiert, deren Namen in der Paketliste stehen.

Beachten Sie, dass im Gegensatz zu cvs-buildpackage, die Option -P die einzige Möglichkeit ist, den Namen des Quellpakets anzugeben; Sie können ihn nicht einfach als letzten Befehlszeilenparameter angeben.

Da das Installieren eines Pakets Root-Rechte erfordert, ruft debi direkt debpkg anstelle von dpkg auf. Daher wird debi nur von Nutzen sein, falls es entweder als Root ausgeführt wird oder debpkg als Root ausgeführt werden kann. Siehe debpkg(1) für weitere Einzelheiten.

OPTIONEN
Alle aktuellen Optionen von cvs-buildpackage werden stillschweigend akzeptiert; allerdings haben nur die nachfolgend aufgeführten Auswirkungen. Weitere Einzelheiten über all das finden Sie in der Handbuchseite von cvs-buildpackage(1).

-aDebian-Architektur, -tGNU-Systemtyp
    Eine Beschreibung dieser Optionen finden Sie unter dpkg-architecture(1). Sie beeinflussen die Suche nach der .changes-Datei. Sie werden bereitgestellt, um das Verhalten von dpkg-buildpackage nachzumachen, wenn der Name der .changes-Datei festgestellt wird.

-MModul
    der Name des CVS-Moduls

-PPaket
    der Name des Pakets

-VVersion
    die Versionsnummer des Pakets

-TMarkierung
    die CVS-Markierung, die für den Export von Quellen benutzt wird

-RWurzelverzeichnis
    Wurzel des Originalquellarchivs

-WArbeitsverzeichnis
    der vollständige Pfadname für das Cvs-buildpackage-Arbeitsverzeichnis

-xPräfix
    Diese Option stellt das Standard-CVS-Modulpräfix bereit.

--help, --version
    zeigt Hilfenachricht beziehungsweise Versionsinformationen.

SIEHE AUCH
cvs-buildpackage(1), cvs-debc(1), cvs-debuild(1) und debi(1)

AUTOR
cvs-buildpackage wurde von Manoj Srivastava geschrieben und die aktuelle Version von debi wurde von Julian Gilbey <jdg@debian.org> verfasst. Sie wurden von Julian Gilbe in diesem Programm kombiniert.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.